コンテンツへスキップ

Auto-Captioner

統合

モデルID auto-caption
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/auto-caption?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.10 100 APIクレジット このページで実行

APIキーを取得
Utility 動画変換 #captioning#video

色、フォント、サイズ、位置を調整できる音声ベースのキャプションを動画に追加します

Utility · データ (JSON)

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_url
ファイルをドロップ、または

音声を含む 400 MB 未満の .mp4 ファイルの動画 URL。

詳細設定 text_case · txt_color · txt_font · font_size · stroke_width · refresh_interval · left_align · top_align
text_case デフォルト default

音声認識で生成された字幕の大文字・小文字をそのままにするには 'default' を選択します。変更するには、大文字の 'upper' または小文字の 'lower' を選択します。

デフォルト white

16 進数表記、RGB タプル、または色名でテキストの色を設定します。

デフォルト Standard

URL で指定した .ttf ファイル、または組み込みフォント 'Arial'、'Standard'、'Garamond'、'Times New Roman'、'Georgia' でキャプションの書体を設定します。

デフォルト 24

生成するキャプションのテキストサイズ。

デフォルト 1

テキストの輪郭線の太さ(ピクセル)。

デフォルト 1.5

表示区間内で同時に表示するキャプションテキストの量を制御します(秒)。キャプションを長く表示すると、一度に多くのテキストが表示されます。

デフォルト center

0.0~1.0 の float でテキストを水平方向に配置するか、名前付き位置 'left'、'center'、'right' を選択します。

デフォルト center

0.0~1.0 の float でテキストを垂直方向に配置するか、名前付き位置 'top'、'center'、'bottom' を選択します。

POST /run/auto-caption?wait=20 見積もり → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/auto-caption?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Auto-Captionerについて

.mp4の`video_url`(400MB未満)から音声を文字起こしし、キャプションを動画に焼き込みます。`txt_color`、`txt_font`、`font_size`、`stroke_width`、`text_case`でスタイルを設定します。位置は`left_align`と`top_align`で指定します。`refresh_interval`を0.5~3秒に設定すると、キャプションの表示時間を決められます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
音声を含む 400 MB 未満の .mp4 ファイルの動画 URL。
txt_color任意
型string
デフォルトwhite
16 進数表記、RGB タプル、または色名でテキストの色を設定します。
txt_font任意
型string
デフォルトStandard
URL で指定した .ttf ファイル、または組み込みフォント 'Arial'、'Standard'、'Garamond'、'Times New Roman'、'Georgia' でキャプションの書体を設定します。
font_size任意
型integer
デフォルト24
生成するキャプションのテキストサイズ。
stroke_width任意
型integer
デフォルト1
テキストの輪郭線の太さ(ピクセル)。
left_align任意
型string | number
デフォルトcenter
0.0~1.0 の float でテキストを水平方向に配置するか、名前付き位置 'left'、'center'、'right' を選択します。
top_align任意
型string | number
デフォルトcenter
0.0~1.0 の float でテキストを垂直方向に配置するか、名前付き位置 'top'、'center'、'bottom' を選択します。
refresh_interval任意
型number
デフォルト1.5
0.5 – 3
表示区間内で同時に表示するキャプションテキストの量を制御します(秒)。キャプションを長く表示すると、一度に多くのテキストが表示されます。
text_case任意
型enum
デフォルトdefault
defaultupperlower
音声認識で生成された字幕の大文字・小文字をそのままにするには 'default' を選択します。変更するには、大文字の 'upper' または小文字の 'lower' を選択します。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "auto-caption",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video_url
string (video URL)キャプション付き .mp4 動画を指す URL。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/auto-caption.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt